DevExtreme Vue - Crosshair

Crosshair is a pointer represented by two mutually-crossing lines stretched over the entire chart plot. The crosshair helps a user identify values of the series points precisely. When enabled, the crosshair follows the cursor and snaps to the nearest series point.

DevExtreme HTML5 JavaScript Charts Crosshair

To enable the crosshair, set the crosshair.enabled option to true. To show the crosshair labels, do the same with the crosshair.label.visible option.

App.vue
  • <template>
  • <DxChart ... >
  • <DxCrosshair :enabled="true">
  • <DxLabel :visible="true"/>
  • </DxCrosshair>
  • </DxChart>
  • </template>
  •  
  • <script>
  • import DxChart, {
  • DxCrosshair,
  • DxLabel
  • } from 'devextreme-vue/chart';
  •  
  • export default {
  • components: {
  • DxChart,
  • DxCrosshair,
  • DxLabel
  • }
  • }
  • </script>

For information about all options of the crosshair and its labels, visit the crosshair section of the API reference.

View Demo

DevExtreme React - Crosshair
Crosshair is a pointer represented by two mutually-crossing lines stretched over the entire chart plot. The crosshair helps a user identify values of the series points precisely. When enabled, the crosshair follows the cursor and snaps to the nearest series point.

To enable the crosshair, set the crosshair.enabled option to true. To show the crosshair labels, do the same with the crosshair.label.visible option.
jQuery
$(function() {
    $("#chartContainer").dxChart({
        // ...
        crosshair: {
            enabled: true,
            label: {
                visible: true
            }
        }
    });
});Angular
<dx-chart ... >
    <dxo-crosshair [enabled]="true">
        <dxo-label [visible]="true"></dxo-label>
    </dxo-crosshair>
</dx-chart>
import { DxChartModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
    imports: [
        // ...
        DxChartModule
    ],
    // ...
})Vue
<template> 
    <DxChart ... >
        <DxCrosshair :enabled="true">
            <DxLabel :visible="true"/>
        </DxCrosshair>
    </DxChart>
</template>
<script>
import DxChart, {
    DxCrosshair,
    DxLabel
} from 'devextreme-vue/chart';
export default {
    components: {
        DxChart,
        DxCrosshair,
        DxLabel
    }
}
</script>React
import React from 'react';
import Chart, {
    Crosshair,
    Label
} from 'devextreme-react/chart';
class App extends React.Component {
    render() {
        return (
            <Chart ... >
                <Crosshair enabled={true}>
                    <Label visible={true}/>
                </Crosshair>
            </Chart>
        );
    }
}
export default App;For information about all options of the crosshair and its labels, visit the crosshair section of the API reference.
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme Angular - Crosshair
Crosshair is a pointer represented by two mutually-crossing lines stretched over the entire chart plot. The crosshair helps a user identify values of the series points precisely. When enabled, the crosshair follows the cursor and snaps to the nearest series point.

To enable the crosshair, set the crosshair.enabled option to true. To show the crosshair labels, do the same with the crosshair.label.visible option.
jQuery
JavaScript
$(function() {
$("#chartContainer").dxChart({
// ...
crosshair: {
enabled: true,
label: {
visible: true
}
}
});
});Angular
HTML
TypeScript
<dx-chart ... >
<dxo-crosshair [enabled]="true">
<dxo-label [visible]="true"></dxo-label>
</dxo-crosshair>
</dx-chart>
import { DxChartModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxChartModule
],
// ...
})For information about all options of the crosshair and its labels, visit the crosshair section of the API reference.
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.